トップ 差分 一覧 Farm ソース 検索 ヘルプ RSS ログイン

BugTrack-plugin/403

ページの作成や編集にはユーザ登録が必要です。

【FSWikiLite】複数行プラグインを可能にするプラグイン

  • 投稿者: KG
  • カテゴリ: 新規
  • 優先度: 普通
  • 状態: 提案
  • 日時: 2009年06月30日 13時35分36秒

 内容

BugTrack-plugin/203 の FSWikiLite版です

当プラグインを導入することで、FSWikiLiteでも複数行プラグインの作成、および使用が可能になります。

 インストール

添付ファイルを解凍し、各ディレクトリに展開してください。

lib/setup.pl のプラグイン設定に以下の行を追加してください。

require "./plugin/_ex_block.pl";

ブロックプラグインのPREをサンプルとして同封してあります。使用される方は以下のようにして追加してください。

require "./plugin/pre.pl";

依存関係

本プラグインでは以下のモジュール内の関数をオーバーライドしています。

  • <lib/common.pl> HTMLParser::parse()
  • <lib/common.pl> HTMLParser::parse_line()
  • <lib/common.pl> Util::parse_plugin()

また、以下の関数を追加するようになっています。

  • HTMLParser::error()
  • HTMLParser::l_block()

これらの関数を別のパッチ等で変更を加えている方は、本プラグイン導入後に既存の変更箇所が無効になってしまいますので、本プラグインへパッチ等の変更箇所を適用する必要があります。

  更新履歴

2009/06/30 - fswiki_lite_ex_block_20090630.zip(305)
  • FSWikiLite版を新規作成

 コメント

お名前: コメント:
fswiki_lite_ex_block_20090630.zip

最終更新時間:2009年06月30日 13時36分44秒